package com.cygnusa.hyperm.wrappers;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.io.Serializable;
import java.util.List;

public class DSETrainingFeedbackData implements Serializable {

    @SerializedName("trainer_feedback_score")
    @Expose
    private String trainerFeedbackScore;
    @SerializedName("training_feedback_score")
    @Expose
    private String trainingFeedbackScore;
    @SerializedName("remarks")
    @Expose
    private String remarks;
    @SerializedName("questions")
    @Expose
    private List<DSETrainingQuestion> questions = null;
    private final static long serialVersionUID = -152102551185110167L;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public List<DSETrainingQuestion> getQuestions() {
        return questions;
    }

    public void setQuestions(List<DSETrainingQuestion> questions) {
        this.questions = questions;
    }

    public String getTrainerFeedbackScore() {
        return trainerFeedbackScore;
    }

    public void setTrainerFeedbackScore(String trainerFeedbackScore) {
        this.trainerFeedbackScore = trainerFeedbackScore;
    }

    public String getTrainingFeedbackScore() {
        return trainingFeedbackScore;
    }

    public void setTrainingFeedbackScore(String trainingFeedbackScore) {
        this.trainingFeedbackScore = trainingFeedbackScore;
    }

    public static class DSETrainingQuestion implements Serializable {

        @SerializedName("aqid")
        @Expose
        private String aqid;
        @SerializedName("qid")
        @Expose
        private String qid;
        @SerializedName("questiontype")
        @Expose
        private String questiontype;
        @SerializedName("questiontype_name")
        @Expose
        private String questiontypeName;
        @SerializedName("questiontext")
        @Expose
        private String questiontext;
        @SerializedName("rating_options")
        @Expose
        private List<DSERatingOption> ratingOptions = null;

        private String selectedOption;
        private final static long serialVersionUID = -7249145021203482235L;

        public String getSelectedOption() {
            return selectedOption;
        }

        public void setSelectedOption(String selectedOption) {
            this.selectedOption = selectedOption;
        }

        public String getAqid() {
            return aqid;
        }

        public void setAqid(String aqid) {
            this.aqid = aqid;
        }

        public String getQid() {
            return qid;
        }

        public void setQid(String qid) {
            this.qid = qid;
        }

        public String getQuestiontype() {
            return questiontype;
        }

        public void setQuestiontype(String questiontype) {
            this.questiontype = questiontype;
        }

        public String getQuestiontypeName() {
            return questiontypeName;
        }

        public void setQuestiontypeName(String questiontypeName) {
            this.questiontypeName = questiontypeName;
        }

        public String getQuestiontext() {
            return questiontext;
        }

        public void setQuestiontext(String questiontext) {
            this.questiontext = questiontext;
        }

        public List<DSERatingOption> getRatingOptions() {
            return ratingOptions;
        }

        public void setRatingOptions(List<DSERatingOption> ratingOptions) {
            this.ratingOptions = ratingOptions;
        }
    }

    public static class DSERatingOption implements Serializable {

        @SerializedName("id")
        @Expose
        private String id;
        @SerializedName("options")
        @Expose
        private String options;
        private final static long serialVersionUID = 6985287482875036933L;

        public String getId() {
            return id;
        }

        public void setId(String id) {
            this.id = id;
        }

        public String getOptions() {
            return options;
        }

        public void setOptions(String options) {
            this.options = options;
        }

    }
}